Genivia - wst__RequestedProofTokenType Struct Reference

|  | Home | Documentation | wst__RequestedProofTokenType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__RequestedProofTokenType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestedProofTokenType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__RequestedProofTokenType:
[legend]

## Public Attributes
struct xenc__EncryptedKeyType * | xenc__EncryptedKey

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":RequestedProofTokenType is a complexType.

struct wst__RequestedProofTokenType operations:

- wst__RequestedProofTokenType* soap_new_wst__RequestedProofTokenType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__RequestedProofTokenType(struct soap*, wst__RequestedProofTokenType*) default initialize members
- int soap_read_wst__RequestedProofTokenType(struct soap*, wst__RequestedProofTokenType*) deserialize from a source
- int soap_write_wst__RequestedProofTokenType(struct soap*, wst__RequestedProofTokenType*) serialize to a sink
- wst__RequestedProofTokenType* soap_dup_wst__RequestedProofTokenType(struct soap*, wst__RequestedProofTokenType* dst, wst__RequestedProofTokenType <em>src) returns deep copy of wst__RequestedProofTokenType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__RequestedProofTokenType(wst__RequestedProofTokenType) deep deletes wst__RequestedProofTokenType data members, use only on dst after soap_dup_wst__RequestedProofTokenType(NULL, wst__RequestedProofTokenType *dst, wst__RequestedProofTokenType *src) (use soapcpp2 -Ed)

## Member Data Documentation

struct xenc__EncryptedKeyType* wst__RequestedProofTokenType::xenc__EncryptedKey

Todo:

  <any namespace="##any">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Member declared in WS/WS-typemap.dat

The documentation for this struct was generated from the following file:

- wst.h